#ifndef Engine_GameCode_H
#define Engine_GameCode_H

// Forward declaration for GameLib classes
namespace Engine
{
	class GameCode
	{
	public:
		virtual bool initialize() = 0;
		virtual void update() = 0;
		static GameCode* create();
	};
}

#endif